App.View.GameMenu = Backbone.View.extend({
  el: "body",
  template: JST['game_menu'],
  events: {
    'click #add_player'   : 'add_player',
    'click .remove_player': 'remove_player',
    'change #game'        : 'change_game',
    'click #game_start'   : 'game_start'
  },
  initialize: function() {
    this.game = 'count_up';
  },
  game_start: function() {
    App.Collection.CountUp.reset();
  },
  change_game: function (){
    this.game = this.$('#game').val();
    this.render();
  },
  add_player: function () {
    var player = new App.Model.Player();
    App.Collection.Players.add(player);
    this.render();
  },
  remove_player: function (e) {
    var self = $(e.toElement);
    var index = this.$('.remove_player').index(self);
    var player = App.Collection.Players.models[index];
    App.Collection.Players.remove(player);
    this.render();
  },
  render: function() {
    var html = this.template({
      game: this.game,
      players: App.Collection.Players
    });
    this.$el.html(html);
    return this;
  }
});
